rake on dreamhost

hey, I just started working with dreamhost and cant rake to work properly, or at all for that matter. every rake I try to result in an error like this one for instance:

$ rake db:migrate /usr/bin/rake:17:Warning: require_gem is obsolete. Use gem instead. (in /home/.backing/sdfbapp/sdfbapp.com/fbapps/try) rake aborted! Could not find RubyGem mocha (>= 0.5.3)

anyone familiar with this ? Thanks a lot.

gem mocha is missing, its not rake/migrate fault,

for dreamhost make: gem install mocha --install-dir=/home/your_dreamhost_username/.gems

this is for default, if not helps look here: http://nateclark.com/articles/2006/10/20/dreamhost-your-own-packages-and-gems

there are pretty tutorial for how to install gems on dreamhost account..

good luck !

p.s.: you always can turn off "require 'mocha'" from your .rb files, (i think its in env.rb)